KousiK KousiK - 2 months ago 7
Android Question

Jar mismatch! Fix your dependencies when using appcompat_v7 and Facebook sdk.

I am using appcompat_v7 library and facebook sdk in my project and both the library have android-support-v4.jar.If I delete any of the jar the corresponding library is not working and having both jars is not allowed.

What should I do? Kindly help me out...


The conflict is due to different versions of the jar.

Make sure you have the update support library from the android sdk manager

Copy android-support-v4.jar to libs of both the projects. The jar can be found @


Clean and build your project